Na super. Nach update auf 1.2 geht nichts mehr. Brauche drin

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Na super. Nach update auf 1.2 geht nichts mehr. Brauche drin

Postby MAD King » 01. September 2003 15:31

Klasse.
Ich habe jetzt das Xampp von 1.1 auf 1.2 aufgestockt und bekomme diese Meldung in der root:

xampp-upgrade/start
Stopping LAMPP 1.1...
LAMPP: Stopping Apache with SSL...
LAMPP: Stopping MySQL...
LAMPP: Stopping ProFTPD...
LAMPP: Stopping Webmin...
Stopping Webmin server in /opt/lampp/webmin
LAMPP stopped.

Upgrading 1.1 to 1.2...
Installing new files...
Upgrading existing files...
xampp-upgrade/start: patch: command not found
The file /opt/lampp/phpmyadmin/config.inc.php couldn't be upgraded.
The new version of the file could be found under: /opt/lampp/phpmyadmin/config.inc.php-1.2

There were some problems during the upgrade. But don't panic! :)
Please read http://www.apachefriends.org/faq-lampp-en.html#undnun for assistance.

Jetzt lässt sich xampp und webmin nicht mehr starten.
User avatar
MAD King
 
Posts: 82
Joined: 25. July 2003 07:41

Postby Oswald » 01. September 2003 15:49

Huhu MAD King!

Ahh.. cool, dass Dir das passiert ist. An den Fall, dass patch nicht installiert ist, hab ich nicht gedacht. Schon notiert für die nächste Version...

Trotzdem hab ich dafür schon eine kleine Hintertür eingebaut...

Ruf bitte folgende Befehle auf:

cp /opt/lampp/phpmyadmin/config.inc.php-1.2
/opt/lampp/phpmyadmin/config.inc.php
chown nobody.root /opt/lampp/phpmyadmin/config.inc.php


Evtl. musst Du jetzt noch Deine Passwörter in die neue config.inc.php eintragen.

Das sollte es schon gewesen sein.

Lieben Gruß,
Oswald

PS: Der cp-Befehl besteht aus einer Zeile. Die Zeile ist zu lang, so die vom Browser umgebrochen wird.
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby MAD King » 01. September 2003 16:26

Hallo Oswald,

super geht wieder. Danke.
Kann ich jetzt die alte config.inc.php löschen?
User avatar
MAD King
 
Posts: 82
Joined: 25. July 2003 07:41

Postby Oswald » 01. September 2003 16:28

Huhu MAD!

Super!

Nein, die "alte" ist jetzt die neue. Die alte ist schon futsch. Was Du löschen kannst ist die mit dem -1.2 dahinter. Das ist die "neue".

Das war jetzt ein bisschen wirr. ;)

Lieben Gruß,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby MAD King » 01. September 2003 17:34

Aha. OK. Tausend Dank.
User avatar
MAD King
 
Posts: 82
Joined: 25. July 2003 07:41

Postby HardySim » 01. September 2003 17:40

das war bei mir auch so, aber einfach der melding zu folgen, zu erkennen "aja, die neue datei hat nr nen andern namen, ersetzten wir sie einfach" bin ich sogar selbst gekommen 8)
[url=http://www.hardysim.de]
Image[/url]
www.party-safari.net
User avatar
HardySim
 
Posts: 325
Joined: 19. June 2003 10:22
Location: Geisenheim


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests